﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238
using Syncfusion.UI.Xaml.Diagram;
using System.Collections.ObjectModel;

namespace PrintingSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            Diagram.Nodes = new ObservableCollection<NodeViewModel>();
            Diagram.Connectors = new ObservableCollection<NodeViewModel>();
            //Creating Nodes
            CreateNodes();

            //Initializing the PageSettings
            Diagram.PageSettings.PageHeight = 500;
            Diagram.PageSettings.PageWidth = 500;
            Diagram.PageSettings.MultiplePage = true;
            Diagram.PageSettings.PageBackground=new SolidColorBrush(Colors.AliceBlue);

           
        }

        private void Print_OnClick(object sender, RoutedEventArgs e)
        {
          Diagram.PrintingService.RegisterForPrinting();
        }

        //Populating Nodes and LineConnectors
        private void CreateNodes()
        {
            ObservableCollection<NodeViewModel> nodes = new ObservableCollection<NodeViewModel>();
            for (int i = 0; i < 66; ++i)
            {
                var node = new NodeViewModel();
                node.OffsetY = 260 + 250 * Math.Sin(Math.PI * i / 22.5);
                //node.OffsetY = 400 + 250 * Math.Sin(Math.PI * i / 22.5);
                node.OffsetX = 10 + i * 20;
                node.Content = i;
                node.UnitWidth = 42;
                node.UnitHeight = 16;
                node.Shape = new EllipseGeometry() { RadiusX = 10, RadiusY = 10 };
                node.ShapeStyle = this.Resources["nodestyle"] as Style;
                nodes.Add(node);
            }

            // Set the collection as data source
            Diagram.Nodes = nodes;
        }

    }
}
